Bug 553901 - [abrt] crash in firefox-3.5.6-1.fc12 [@ nsAStreamCopier::Run]
[abrt] crash in firefox-3.5.6-1.fc12 [@ nsAStreamCopier::Run]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
abrt_hash:b237709d03bc15c10418e6c7647...
: Triaged
: 557267 572448 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-09 07:26 EST by Vladimir Andreyev
Modified: 2010-12-03 19:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 19:39:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.20 KB, text/plain)
2010-01-09 07:26 EST, Vladimir Andreyev
no flags Details
output of the command rpm -qa ... (1.24 KB, text/plain)
2010-01-10 09:14 EST, Vladimir Andreyev
no flags Details
gdb output (24.72 KB, text/plain)
2010-01-10 09:16 EST, Vladimir Andreyev
no flags Details

  None (edit)
Description Vladimir Andreyev 2010-01-09 07:26:54 EST
abrt 1.0.3 detected a crash.

How to reproduce
-----
1.browsing web pages
2.
3.

Comment: firefox has crash on different pages
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5.6/firefox http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
component: firefox
executable: /usr/lib/firefox-3.5.6/firefox
kernel: 2.6.31.9-174.fc12.i686.PAE
package: firefox-3.5.6-1.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)
Comment 1 Vladimir Andreyev 2010-01-09 07:26:57 EST
Created attachment 382637 [details]
File: backtrace
Comment 2 Chris Campbell 2010-01-09 12:47:45 EST
#3  <signal handler called>
No symbol table info available.
#4  0x00d95ce0 in __pthread_mutex_lock (mutex=0xa677c6a0)
    at pthread_mutex_lock.c:111
        cnt = 11
        max_cnt = <value optimized out>
        type = <value optimized out>
        id = <value optimized out>
#5  0x0211d763 in PR_Lock (lock=<value optimized out>)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:206
No locals.
#6  0x018110a0 in nsAutoLock (aLock=<value optimized out>, 
    this=<value optimized out>) at ../../dist/include/xpcom/nsAutoLock.h:219
No locals.
#7  nsAStreamCopier::Run (aLock=<value optimized out>, 
    this=<value optimized out>) at nsStreamUtils.cpp:374
        lock = {<nsAutoLockBase> = {<No data fields>}, mLock = 0xa677c6a0, 
          mLocked = 1}
#8  0x01827cf0 in nsThreadPool::Run (this=<value optimized out>)
    at nsThreadPool.cpp:219
        event = {<nsCOMPtr_base> = {mRawPtr = 0xa53cdac8}, <No data fields>}
        current = {<nsCOMPtr_base> = {mRawPtr = 0xa6083e20}, <No data fields>}
        exitThread = <value optimized out>
        wasIdle = 0
        listener = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        shutdownThreadOnExit = <value optimized out>
#9  0x01825cf9 in nsThread::ProcessNextEvent (this=<value optimized out>, 
    mayWait=<value optimized out>, result=<value optimized out>)
    at nsThread.cpp:521
        obs = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        event = {<nsCOMPtr_base> = {mRawPtr = 0xb4bad604}, <No data fields>}
        rv = 0
#10 0x017f4976 in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=<value optimized out>) at nsThreadUtils.cpp:247
        val = 1




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-01-09 12:50:37 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command, saved in a text file and attached to this bug:

$ rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo.

# debuginfo-install firefox

Then run firefox inside the gdb debugger. Please do the following:

$ firefox -g

Stuff will appear. Ignore this until you get the gdb command prompt, then do:

(gdb) run

Now, firefox should start up. Use it and reproduce the crash. When firefox crashes, you should be back to the gdb prompt. Now do:

(gdb) thread apply all backtrace

More screens of stuff will occur. Copy all of this part to your editor of choice, such as gedit, and save it as an uncompressed file and attach it to this bug report.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance, for your extra efforts.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Vladimir Andreyev 2010-01-10 09:14:26 EST
Created attachment 382806 [details]
output of the command rpm -qa ...
Comment 5 Vladimir Andreyev 2010-01-10 09:16:51 EST
Created attachment 382807 [details]
gdb output
Comment 6 Chris Campbell 2010-01-10 11:36:07 EST
Thank you for your additional efforts. Assigning this to stransky. Setting keyword Triaged, status ASSSIGNED

This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Chris Campbell 2010-01-21 18:32:02 EST
*** Bug 557267 has been marked as a duplicate of this bug. ***
Comment 8 Chris Campbell 2010-03-11 20:35:04 EST
*** Bug 572448 has been marked as a duplicate of this bug. ***
Comment 9 Chris Campbell 2010-03-11 20:36:03 EST
Reporter, can you list some example pages which can reliably reproduce this crash?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Johann Cohen-Tanugi 2010-03-11 21:21:59 EST
Will try to reproduce it, but it was not at all obvious to me when/how this one occurred. The bt reports confluence.slac.stanford.edu, but this is not a public web site...
Comment 11 Vladimir Andreyev 2010-03-13 08:26:59 EST
This crash sometime occurred when reading news from www.f1news.ru
Comment 12 Bug Zapper 2010-11-03 21:27:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-12-03 19:39:41 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.